List lead label
curl --request GET \
--url https://api.instantly.ai/api/v2/lead-labels \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/lead-labels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/lead-labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/lead-labels")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/lead-labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/lead-labels"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a082d0-3349-71bd-9e72-0c8771a1830c",
"timestamp_created": "2026-09-08T20:57:57.833Z",
"created_by": "01a082d0-3349-71bd-9e72-0c88017d24c6",
"organization_id": "01a082d0-3349-71bd-9e72-0c89e690f75c",
"label": "Hot Lead",
"interest_status_label": "positive",
"interest_status": 1,
"description": "Used for marking high-priority leads",
"use_with_ai": false
}
],
"next_starting_after": "01a082d0-8411-7d06-a4a7-9cdc2f00d77e"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Lead Label
List lead label
Requires one of the following scopes: lead-labels:read, lead-labels:all, all:read, all:all
GET
/
api
/
v2
/
lead-labels
List lead label
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
10
The starting after timestamp to filter lead labels by.
Example:
"2025-03-07T00:00:00.000Z"
The search query to filter lead labels.
Example:
"Hot Lead"
The interest status to filter lead labels by.
Available options:
positive, neutral, negative Example:
"positive"
Response
The list of Lead Label
The list of Lead Label
Show child attributes
Show child attributes
The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API
Examples:
"01a082d0-8411-7d06-a4a7-9cdc2f00d77e"
"2026-09-08T20:58:18.513Z"